submissions_metadata_objects_metadata_retrieve
const url = 'https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/submissions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata_objects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/metadata/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Retrieve a given submission metadata item.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”A UUID string identifying this submission metadata.
Submission metadata object ID
Submission ID
Header Parameters
Section titled “Header Parameters”Workspace ID
Responses
Section titled “Responses”Serializer for the submission metadata.
object
Get the field information for the submission metadata.
Parameters
obj : SubmissionMetadata The submission metadata object.
Returns
dict The field information.
object
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Serializer for the SubmissionMetadataValue model.
object
Get source information from the source_metadata if it exists.
Parameters
obj : SubmissionMetadataValue SubmissionMetadataValue instance
Returns
dict or None Source information including object type, id, and name if available None if no source_metadata exists
object
Return the interactor information of the object’s creator.
Parameters
obj : SubmissionMetadata The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Return information about the last interactor who edited the object.
Parameters
obj : SubmissionMetadata The object containing the last editor information.
Returns
dict The interactor information of the last editor.
object
Example generated
{}object
object
Example
{ "code": "uri_validation_error", "message": "Invalid URI parameters. Check the `details` property for more details.", "details": [ { "parameter": "<parameter_name>", "code": "invalid", "message": "\"<parameter_value>\" is not a valid UUID." } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "submission", "code": "not_allowed", "message": "You are not a member of this submission." } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
